@import "../../../../../assets/css/constants.scss";

form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    .sub-list{
      width: 20% !important;
    }
    mat-form-field {
        width: 45%;
    }
  }
  @media only screen and (max-width: 768px) {
    mat-form-field {
        width: 95% !important;
    }
  }

  .submit-btn {
    background-color: $SANED_BTN_PRIMARY !important;
    border-color: $SANED_BTN_PRIMARY !important;
    color: $PRIMARY_WHITE !important;
    font-size: 20px;
    font-weight: 400;
    height: 48px;
    max-height: 48px;
    margin: 20px auto;
    display: flex;
    width: 300px;
    justify-content: center;

  }
  .vat-form {
    ul {
      list-style: none;
      padding: 0;
      margin: 0;
      width: 100%;
      li {
        display: flex;
        justify-content: space-between;
        .s-no {
          align-self: center;
        }
        .vat-field {
          width: 30%;
        }
      }
    }
  }

  .po-list {
    width: 100%;
    ul {
      list-style: none;
      padding: 0;
      margin: 10px;
      li {
        position: relative;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-around;
        border: 1px solid grey;
        padding: 15px;
        margin: 10px;
        mat-form-field {
          width: 23%;
        }
        .s-no {
          position: absolute;
          left: 1px;
          top: 2px;
          border: 1px solid black;
          border-radius: 13px;
          width: 25px;
          height: 25px;
          align-items: center;
          align-self: center;
          display: flex;
          justify-content: center;
        }
        .remove {
          background-color: rgb(212, 69, 69) !important;
          color: $PRIMARY_WHITE;
        }
      }
    }
  }

  .mat-form-field {
    position: relative;
    margin-top: 16px;
    i {
      position: absolute;
      right: 5px;
      color: grey;
    }
  }